# Class ContractInfo

#### Hierarchy

- unknown
  - ContractInfo

- Defined in src/protobuf/grpc_pb.d.ts:2898
- Defined in src/protobuf/grpc_pb.d.ts:2944

#####
Index

### Constructors

constructor

### Methods

clearMakerPaymentAccountPayload
clearTakerPaymentAccountPayload
getArbitratorNodeAddress
getBuyerNodeAddress
getIsBuyerMakerAndSellerTaker
getLockTime
getMakerAccountId
getMakerPaymentAccountPayload
getMakerPayoutAddressString
getSellerNodeAddress
getTakerAccountId
getTakerPaymentAccountPayload
getTakerPayoutAddressString
hasMakerPaymentAccountPayload
hasTakerPaymentAccountPayload
serializeBinary
setArbitratorNodeAddress
setBuyerNodeAddress
setIsBuyerMakerAndSellerTaker
setLockTime
setMakerAccountId
setMakerPaymentAccountPayload
setMakerPayoutAddressString
setSellerNodeAddress
setTakerAccountId
setTakerPaymentAccountPayload
setTakerPayoutAddressString
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new ContractInfo(): ContractInfo

- #### Returns ContractInfo

  Inherited from jspb.Message.constructor

## Methods

### clearMakerPaymentAccountPayload

- clearMakerPaymentAccountPayload(): ContractInfo

- #### Returns ContractInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2920

### clearTakerPaymentAccountPayload

- clearTakerPaymentAccountPayload(): ContractInfo

- #### Returns ContractInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2925

### getArbitratorNodeAddress

- getArbitratorNodeAddress(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2905

### getBuyerNodeAddress

- getBuyerNodeAddress(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2899

### getIsBuyerMakerAndSellerTaker

- getIsBuyerMakerAndSellerTaker(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2908

### getLockTime

- getLockTime(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:2933

### getMakerAccountId

- getMakerAccountId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2911

### getMakerPaymentAccountPayload

- getMakerPaymentAccountPayload(): undefined | PaymentAccountPayload

- #### Returns undefined | PaymentAccountPayload

  - Defined in src/protobuf/grpc_pb.d.ts:2917

### getMakerPayoutAddressString

- getMakerPayoutAddressString(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2927

### getSellerNodeAddress

- getSellerNodeAddress(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2902

### getTakerAccountId

- getTakerAccountId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2914

### getTakerPaymentAccountPayload

- getTakerPaymentAccountPayload(): undefined | PaymentAccountPayload

- #### Returns undefined | PaymentAccountPayload

  - Defined in src/protobuf/grpc_pb.d.ts:2922

### getTakerPayoutAddressString

- getTakerPayoutAddressString(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2930

### hasMakerPaymentAccountPayload

- hasMakerPaymentAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2919

### hasTakerPaymentAccountPayload

- hasTakerPaymentAccountPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:2924

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2936

### setArbitratorNodeAddress

- setArbitratorNodeAddress(value: string): ContractInfo

- #### Parameters

  - ##### value: string

  #### Returns ContractInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2906

### setBuyerNodeAddress

- setBuyerNodeAddress(value: string): ContractInfo

- #### Parameters

  - ##### value: string

  #### Returns ContractInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2900

### setIsBuyerMakerAndSellerTaker

- setIsBuyerMakerAndSellerTaker(value: boolean): ContractInfo

- #### Parameters

  - ##### value: boolean

  #### Returns ContractInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2909

### setLockTime

- setLockTime(value: number): ContractInfo

- #### Parameters

  - ##### value: number

  #### Returns ContractInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2934

### setMakerAccountId

- setMakerAccountId(value: string): ContractInfo

- #### Parameters

  - ##### value: string

  #### Returns ContractInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2912

### setMakerPaymentAccountPayload

- setMakerPaymentAccountPayload(value?: PaymentAccountPayload): ContractInfo

- #### Parameters

  - ##### `Optional` value: PaymentAccountPayload

  #### Returns ContractInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2918

### setMakerPayoutAddressString

- setMakerPayoutAddressString(value: string): ContractInfo

- #### Parameters

  - ##### value: string

  #### Returns ContractInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2928

### setSellerNodeAddress

- setSellerNodeAddress(value: string): ContractInfo

- #### Parameters

  - ##### value: string

  #### Returns ContractInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2903

### setTakerAccountId

- setTakerAccountId(value: string): ContractInfo

- #### Parameters

  - ##### value: string

  #### Returns ContractInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2915

### setTakerPaymentAccountPayload

- setTakerPaymentAccountPayload(value?: PaymentAccountPayload): ContractInfo

- #### Parameters

  - ##### `Optional` value: PaymentAccountPayload

  #### Returns ContractInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2923

### setTakerPayoutAddressString

- setTakerPayoutAddressString(value: string): ContractInfo

- #### Parameters

  - ##### value: string

  #### Returns ContractInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2931

### toObject

- toObject(includeInstance?: boolean): ContractInfo.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns ContractInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2937

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): ContractInfo

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ContractInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2940

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ContractInfo, reader: BinaryReader): ContractInfo

- #### Parameters

  - ##### message: ContractInfo

  - ##### reader: BinaryReader

  #### Returns ContractInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2941

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: ContractInfo, writer: BinaryWriter): void

- #### Parameters

  - ##### message: ContractInfo

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2939

### `Static` toObject

- toObject(includeInstance: boolean, msg: ContractInfo): ContractInfo.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ContractInfo

  #### Returns ContractInfo.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2938

Generated using TypeDoc